using C1.AspNetCore.Api;
using Microsoft.AspNetCore.ResponseCompression;
using static C1.Util.Win.Win32;

var builder = WebApplication.CreateBuilder(args);

// Add services to the container.

builder.Services.AddControllersWithViews();
builder.Services.AddRazorPages();

var app = builder.Build();

// Configure the HTTP request pipeline.
if (app.Environment.IsDevelopment())
{
    app.UseWebAssemblyDebugging();
}
else
{
    app.UseExceptionHandler("/Error");
    // The default HSTS value is 30 days. You may want to change this for production scenarios, see https://aka.ms/aspnetcore-hsts.
    app.UseHsts();
}

app.UseHttpsRedirection();


app.UseBlazorFrameworkFiles();

app.UseC1Api();
app.UseStaticFiles();

app.UseRouting();

app.UseStorageProviders()
            .AddDiskStorage("PdfRoot", Path.Combine(app.Environment.ContentRootPath, "PdfRoot"));


app.MapRazorPages();
app.MapControllers();
app.MapFallbackToFile("index.html");

app.Run();
